org.apache.tinkerpop.gremlin.process.computer.traversal.step.map

## Class VertexProgramStep

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep<ComputerResult,ComputerResult>
  - - org.apache.tinkerpop.gremlin.process.computer.traversal.step.map.VertexProgramStep

- All Implemented Interfaces:
    Serializable, Cloneable, Iterator<Traverser.Admin<ComputerResult>>, VertexComputing, Step<ComputerResult,ComputerResult>
  Direct Known Subclasses:
    ConnectedComponentVertexProgramStep, HadoopIoStep, PageRankVertexProgramStep, PeerPressureVertexProgramStep, ProgramVertexProgramStep, ShortestPathVertexProgramStep, TraversalVertexProgramStep

      public abstract class VertexProgramStep
      extends AbstractStep<ComputerResult,ComputerResult>
      implements VertexComputing

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Computer` | `computer`
    `protected boolean` | `first`
    `static String` | `ROOT_TRAVERSAL`
    `static String` | `STEP_ID`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `id, labels, nextEnd, nextStep, previousStep, starts, traversal, traverserStepIdAndLabelsSetByChild`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VertexProgramStep(Traversal.Admin traversal)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Computer` | `getComputer()` Get the `Computer` for generating the `GraphComputer`.
    `protected boolean` | `isEndStep()`
    `protected boolean` | `previousTraversalVertexProgram()`
    `protected Traverser.Admin<ComputerResult>` | `processNextStart()`
    `void` | `setComputer(Computer computer)` Set the `Computer` to be used to generate the `GraphComputer`.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.AbstractStep

      `addLabel, addStart, addStarts, clone, equals, getId, getLabels, getNextStep, getPreviousStep, getStarts, getTraversal, hashCode, hasNext, hasStarts, isTraverserStepIdAndLabelsSetByChild, next, prepareTraversalForNextStep, removeLabel, reset, setId, setNextStep, setPreviousStep, setTraversal, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.computer.traversal.step.VertexComputing

      `generateProgram`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Step

      `equals, getRequirements`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining, remove`

- - ### Field Detail

    - #### ROOT_TRAVERSAL

          public static final String ROOT_TRAVERSAL

      See Also:
        Constant Field Values

    - #### STEP_ID

          public static final String STEP_ID

      See Also:
        Constant Field Values

    - #### computer

          protected Computer computer

    - #### first

          protected boolean first

  - ### Constructor Detail

    - #### VertexProgramStep

          public VertexProgramStep(Traversal.Admin traversal)

  - ### Method Detail

    - #### processNextStart

          protected Traverser.Admin<ComputerResult> processNextStart()
                                                              throws NoSuchElementException

      Specified by:
        `processNextStart` in class `AbstractStep<ComputerResult,ComputerResult>`
      Throws:
        `NoSuchElementException`

    - #### getComputer

          public Computer getComputer()

      Description copied from interface: `VertexComputing`
      Get the `Computer` for generating the `GraphComputer`. Inferences on the state of the `Step` within the `Traversal` can be use applied here.
      Specified by:
        `getComputer` in interface `VertexComputing`
      Returns:
        the computer specification for generating the graph computer.

    - #### setComputer

          public void setComputer(Computer computer)

      Description copied from interface: `VertexComputing`
      Set the `Computer` to be used to generate the `GraphComputer`.
      Specified by:
        `setComputer` in interface `VertexComputing`
      Parameters:
        `computer` - the computer specification.

    - #### previousTraversalVertexProgram

          protected boolean previousTraversalVertexProgram()

    - #### isEndStep

          protected boolean isEndStep()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.